Index: /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/control	(revision 15802)
+++ /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/control	(revision 15803)
@@ -2,9 +2,9 @@
 Version: 0.1
 Architecture: sh4
-OE: KeyLock
+OE: netsurf
 Section: extra
 Priority: optional
 Maintainer: AAF
 Homepage: http://www.aaf-digital.info
-Source: GOst4711 by AAF 
+Source: nit by AAF 
 Description: Webbrowser Plugin
Index: /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postinst	(revision 15802)
+++ /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postinst	(revision 15803)
@@ -1,8 +1,8 @@
 #!/bin/sh
-TMP=/tmp/.infos
-
+TMP=/tmp/.tmp
 echo "successfully installed"
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
 	echo new freespace size $FREE kb
@@ -11,3 +11,4 @@
 	sync
 fi
+echo "install netsurf Browser...."
 exit 0
Index: /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postrm	(revision 15802)
+++ /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/postrm	(revision 15803)
@@ -1,10 +1,11 @@
 #!/bin/sh
-TMP=/tmp/.infos
-PLUGINDIR=/var/usr/local/share/titan/plugins/browser
-rm -r $PLUGINDIR > /dev/null 2>&1
+TMP=/tmp/.tmp
+
+rm -r /var/swap/titanplugins/browser
 
 echo "successfully removed"
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
 	echo new freespace size $FREE kb
Index: /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/preinst	(revision 15802)
+++ /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/preinst	(revision 15803)
@@ -1,5 +1,5 @@
 #!/bin/sh
 #
-TMP=/tmp/.infos
+TMP=/tmp/.tmp
 
 model=`cat /etc/model`
@@ -16,9 +16,17 @@
 fi
 
-echo "install netsurf Plugin ..."
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+echo "checking swapstick"
+if [ ! -d /var/swap/titanplugins ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=15
+	SIZE=4100
 	echo "checking freespace"
 	echo packege size $SIZE kb
@@ -45,3 +53,7 @@
 fi
 
+ln -s /var/swap/titanplugins/browser /var/usr/local/share/titan/plugins/browser
+
+echo "installing netsurf Browser..."
+
 exit 0
Index: /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/prerm	(revision 15802)
+++ /ipk/source.sh4/titanswapbrowser_netsurf/CONTROL/prerm	(revision 15803)
@@ -1,6 +1,7 @@
 #!/bin/sh
-TMP=/tmp/.infos
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+TMP=/tmp/.tmp
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
 	echo new freespace size $FREE kb
@@ -9,4 +10,4 @@
 	sync
 fi
-echo "removing netsurf Plugin"
+echo "removing netsurf Browser from swapstick"
 exit 0
